﻿#language: ru

@logistic

Функционал: 007. Logistic. Создание учетных точек

Сценарий: 007.1. Logistic. Создание учетной точки для склада без ячеек

	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Справочники.к2УчетныеТочки" без контроля ссылок
	Дано я удаляю объекты "Справочники.к2КнопкиУчетныхТочек" без контроля ссылок
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'Сырная ГП'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Сырная ГП (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Приемка'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Сырная ГП'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Приемка (Склад)'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Сырная ГП (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Отгрузка'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Сырная ГП'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Отгрузка (Склад)'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Сырная ГП (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Палетирование'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Сырная ГП'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Палетирование'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Сырная ГП (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Перемещение между складами'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Сырная ГП'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Перемещение между складами (Склад)'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка "Склад-отправитель" я выбираю по строке 'Сырная ГП'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Сырная ГП (Учетные точки)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Сырная ГП (Учетные точки)' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий: 007.2. Logistic. Создание учетной точки для склада с ячейками
	
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'Склад с ячейками(контр)'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Склад с ячейками(контр) (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Приемка'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейками(контр)'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Приемка (Склад)'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейками(контр) (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Отгрузка'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейками(контр)'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Отгрузка (Склад)'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейками(контр) (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Палетирование'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейками(контр)'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Палетирование'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейками(контр) (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Перемещение между складами'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейками(контр)'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Перемещение между складами (Склад)'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад-отправитель" я выбираю по строке 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейками(контр) (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Проверка состава и местонахождения'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейками(контр)'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Проверка состава и местонахождения (Склад)'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейками(контр) (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Блокировка ячейки'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейками(контр)'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Блокировка ячейки (Склад)'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейками(контр) (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Перемещение на адресном складе по типу Размещение'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейками(контр)'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Перемещения на адресном складе (Склад)'
	И из выпадающего списка "Тип распоряжения на перемещение" я выбираю точное значение 'Размещение'
	И я изменяю флаг 'Проверить остатки в ячейки приемки'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейками(контр) (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Перемещение на адресном складе по типу Перемещение'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейками(контр)'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Перемещения на адресном складе (Склад)'
	И из выпадающего списка "Тип распоряжения на перемещение" я выбираю точное значение 'Перемещение'
	И я устанавливаю флаг 'Проверить соответствие плана и факта'
	И я устанавливаю флаг 'Проверить сканируемую номенклатуру'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейками(контр) (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Перемещение на адресном складе по типу Отбор (паллетный)'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейками(контр)'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Перемещения на адресном складе (Склад)'
	И из выпадающего списка "Тип распоряжения на перемещение" я выбираю точное значение 'Отбор'
	И я устанавливаю флаг 'Разделить паллетный и активный отбор'
	И я меняю значение переключателя 'н_ПаллетныйОтбор' на 'Паллетный'
	И я устанавливаю флаг 'Проверить сканируемую номенклатуру'
	И я устанавливаю флаг 'Проверить сканируемую ячейку'
	И я устанавливаю флаг 'Проверить соответствие плана и факта'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейками(контр) (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Перемещение на адресном складе по типу Отбор (активный)'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейками(контр)'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Перемещения на адресном складе (Склад)'
	И из выпадающего списка "Тип распоряжения на перемещение" я выбираю точное значение 'Отбор'
	И я устанавливаю флаг 'Разделить паллетный и активный отбор'
	И я меняю значение переключателя 'н_ПаллетныйОтбор' на 'Активный'
	И я устанавливаю флаг 'Проверить сканируемую номенклатуру'
	И я устанавливаю флаг 'Проверить сканируемую ячейку'
	И я устанавливаю флаг 'Проверить соответствие плана и факта'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейками(контр) (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Перемещение на адресном складе по типу Пересчет'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейками(контр)'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Перемещения на адресном складе (Склад)'
	И из выпадающего списка "Тип распоряжения на перемещение" я выбираю точное значение 'Пересчет'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейками(контр) (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Пересчет'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейками(контр)'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Пересчет (Склад)'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейками(контр) (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Отбор'
	И из выпадающего списка "Учетная точка" я выбираю по строке 'Склад с ячейками(контр)'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'             |
		| 'Терминал сбора данных' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Операция" я выбираю точное значение 'Отбор под отгрузку (Склад)'
	И я устанавливаю флаг 'Проверить сканируемую номенклатуру'
	И я устанавливаю флаг 'Проверить соответствие плана и факта'
	И я устанавливаю флаг 'Проверить соответствие кванту отбора'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейками(контр) (Учетные точки)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Склад с ячейками(контр) (Учетные точки)' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий: 007.3. Logistic. Завершение

	И Я закрыл все окна клиентского приложения	